<?php
/* Mantenimiento de los registros de la tabla SR_DevolucionCabecera redefinidos por el usaurio */
class SR_DevolucionCabeceraDP extends BaseSR_DevolucionCabeceraDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( DevolucionCabId ) IS NULL, 1, MAX( DevolucionCabId ) + 1 ) i_Id  FROM SR_DevolucionCabecera ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>